Name: x11-driver-video-s3virge
Version: 1.11.1
Release: %mkrel 3
Summary: X.org driver for S3 Virge Cards
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-video-s3virge-%{version}.tar.xz

License: MIT
ExclusiveArch: %ix86 x86_64
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-s3virge is the X.org driver for S3 Virge Cards.

%prep
%setup -q -n xf86-video-s3virge-%{version}
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/s3virge_drv.so
%{_mandir}/man4/s3virge.*




%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.11.1-3.mga10
+ Revision: 2230999
- Mageia 10 Mass Rebuild

* Fri Dec 06 2024 ns80 <ns80> 1.11.1-2.mga10
+ Revision: 2121948
- bump rel

* Mon Feb 20 2023 tv <tv> 1.11.1-1.mga9
+ Revision: 1944262
- 1.11.1 (Xorg 21.1 compatible)

* Fri Apr 01 2022 umeabot <umeabot> 1.11.0-4.mga9
+ Revision: 1837974
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 tmb <tmb> 1.11.0-3.mga9
+ Revision: 1748564
- rebuild for updated xserver-abi
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 19 2020 tv <tv> 1.11.0-2.mga8
+ Revision: 1544046
- only build on x86 x86_64
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Feb 17 2019 tv <tv> 1.11.0-1.mga7
+ Revision: 1367934
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.10.7-10.mga7
+ Revision: 1301767
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 tv <tv> 1.10.7-9.mga7
+ Revision: 1234708
- fix build with xserver 1.20

* Tue Apr 10 2018 neoclust <neoclust> 1.10.7-8.mga7
+ Revision: 1217147
- Rebuild to have package available on arm
+ tv <tv>
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.10.7-6.mga6
+ Revision: 1067761
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.10.7-5.mga6
+ Revision: 1043273
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.10.7-4.mga6
+ Revision: 963403
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.10.7-3.mga6
+ Revision: 902310
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.10.7-2.mga6
+ Revision: 902061
- rebuild for new xserver

* Sat Sep 26 2015 tv <tv> 1.10.7-1.mga6
+ Revision: 884042
- new release

* Wed Jun 24 2015 tv <tv> 1.10.6-12.mga6
+ Revision: 842383
- actually apply patches
- add build fixes from git
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.10.6-11.mga5
+ Revision: 750669
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.6-10.mga5
+ Revision: 690450
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.10.6-9.mga5
+ Revision: 635049
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.10.6-8.mga5
+ Revision: 633694
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.10.6-7.mga5
+ Revision: 614381
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.10.6-6.mga5
+ Revision: 582328
- rebuild for new xserver

* Sat Oct 19 2013 umeabot <umeabot> 1.10.6-5.mga4
+ Revision: 525490
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.10.6-4.mga4
+ Revision: 433196
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.10.6-3.mga4
+ Revision: 386017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.10.6-2.mga3
+ Revision: 288971
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.10.6-1.mga3
+ Revision: 273771
- new release

* Wed Jun 06 2012 tmb <tmb> 1.10.5-3.mga3
+ Revision: 256482
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.10.5-2.mga3
+ Revision: 253020
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.10.5-1.mga3
+ Revision: 249903
- new release

* Tue Dec 06 2011 tmb <tmb> 1.10.4-6.mga2
+ Revision: 177638
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.10.4-5.mga2
+ Revision: 153129
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.10.4-4.mga1
+ Revision: 64411
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.10.4-3.mga1
+ Revision: 50284
- imported package x11-driver-video-s3virge


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.10.4-3mdv2011.0
+ Revision: 595726
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.10.4-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Mon Aug 03 2009 Thierry Vignaud <tv@mandriva.org> 1.10.4-1mdv2010.0
+ Revision: 407723
- new release

* Fri Jul 03 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.10.3-1mdv2010.0
+ Revision: 391901
- update to new version 1.10.3

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.10.2-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Tue Dec 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.10.2-1mdv2009.1
+ Revision: 317850
- New version 1.10.2

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 1.10.1-3mdv2009.1
+ Revision: 308174
- rebuild for new X server

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.10.1-2mdv2009.0
+ Revision: 265927
- rebuild early 2009.0 package (before pixel changes)
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue May 27 2008 Colin Guthrie <cguthrie@mandriva.org> 1.10.1-1mdv2009.0
+ Revision: 211783
- New version

* Tue Apr 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.10.0-1mdv2009.0
+ Revision: 194164
- Update to version 1.10.0.

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.9.1-7mdv2008.1
+ Revision: 165590
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.9.1-6mdv2008.1
+ Revision: 156617
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.9.1-5mdv2008.1
+ Revision: 154821
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-video-s3virge-1.9.1@mandriva suggested on upstream
  Tag at git checkout e3833f9ae20f5bc25918a1f95216246711bbdf4e
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.9.1-4mdv2008.1
+ Revision: 99044
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.9.1-3mdv2008.0
+ Revision: 75785
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 19:59:30 (31594)
- Updated drivers for X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

